Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017566
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-06-08 17:242011-06-22 11:44
ReporterrgorisView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3bf0c7c7ae7f
ProjectionnoneETAnoneTarget Version3.0MP0
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017566: [KS] Focus gets lost when saving

DescriptionAfter having saved a form, the focus gets lost and cannot be recovered into the form.

Steps To ReproduceCreate a new sales order header, fill it in
Save the header
Focus is lost
Tabbing a couple of times and you see the focus appear in the toolbar action buttons but never again in the form!
Proposed SolutionAfter saving, keep the focus where it was.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0038249)
hgbot (developer)
2011-06-10 15:33

Repository: erp/devel/pi
Changeset: 2e80e4fa7761d791b61e1018fe34957fa777c816
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 10 15:33:11 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2e80e4fa7761d791b61e1018fe34957fa777c816 [^]

Fixes issue 17566: [KS] Focus gets lost when saving
Store focus item before save and set focus item after save

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0038259)
iperdomo (developer)
2011-06-10 17:40

This is still reproducible in Chrome and IE9. Works fine in FF4
(0038269)
dbaz (developer)
2011-06-10 20:48

It should return the focus either if you click the "Save" button or if you press "Ctrl+S"
(0038271)
hgbot (developer)
2011-06-10 22:45

Repository: erp/devel/pi
Changeset: 3bf0c7c7ae7f4998d8d957888e846561b5178487
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Jun 10 22:45:35 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3bf0c7c7ae7f4998d8d957888e846561b5178487 [^]

Fixes issue 17566: [KS] Focus gets lost when saving
Set focusitem when saving a record in form view

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0038442)
hudsonbot (developer)
2011-06-22 11:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/abb438586c0e [^]

Maturity status: Test
(0038451)
hudsonbot (developer)
2011-06-22 11:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/abb438586c0e [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-06-08 17:24 rgoris New Issue
2011-06-08 17:24 rgoris Assigned To => dbaz
2011-06-08 17:24 rgoris Modules => Core
2011-06-09 12:04 dbaz Relationship added related to 0017272
2011-06-09 12:04 dbaz Relationship added depends on 0017275
2011-06-09 12:04 dbaz Relationship added depends on 0017225
2011-06-09 12:04 dbaz Relationship added depends on 0017271
2011-06-09 12:04 dbaz Relationship added depends on 0017274
2011-06-09 12:07 dbaz Assigned To dbaz => mtaal
2011-06-10 13:16 dbaz Relationship deleted related to 0017272
2011-06-10 13:16 dbaz Relationship deleted depends on 0017275
2011-06-10 13:16 dbaz Relationship deleted depends on 0017225
2011-06-10 13:16 dbaz Relationship deleted depends on 0017274
2011-06-10 13:16 dbaz Relationship deleted depends on 0017271
2011-06-10 15:33 hgbot Checkin
2011-06-10 15:33 hgbot Note Added: 0038249
2011-06-10 15:33 hgbot Status new => resolved
2011-06-10 15:33 hgbot Resolution open => fixed
2011-06-10 15:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2e80e4fa7761d791b61e1018fe34957fa777c816 [^]
2011-06-10 17:40 iperdomo Note Added: 0038259
2011-06-10 17:40 iperdomo Status resolved => new
2011-06-10 17:40 iperdomo Resolution fixed => open
2011-06-10 20:48 dbaz Note Added: 0038269
2011-06-10 22:45 hgbot Checkin
2011-06-10 22:45 hgbot Note Added: 0038271
2011-06-10 22:45 hgbot Status new => resolved
2011-06-10 22:45 hgbot Resolution open => fixed
2011-06-10 22:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/2e80e4fa7761d791b61e1018fe34957fa777c816 [^] => http://code.openbravo.com/erp/devel/pi/rev/3bf0c7c7ae7f4998d8d957888e846561b5178487 [^]
2011-06-11 17:26 rgoris Status resolved => closed
2011-06-22 11:43 hudsonbot Checkin
2011-06-22 11:43 hudsonbot Note Added: 0038442
2011-06-22 11:44 hudsonbot Checkin
2011-06-22 11:44 hudsonbot Note Added: 0038451


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker